Bug 527842 - setroubleshoot: SELinux is preventing /usr/libexec/polkit-1/polkitd "search" access on /root.
Summary: setroubleshoot: SELinux is preventing /usr/libexec/polkit-1/polkitd "search" ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:836dd354eb5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-07 21:47 UTC by Antonio A. Olivares
Modified: 2009-11-02 16:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-07 21:53:43 UTC
Type: ---


Attachments (Terms of Use)

Description Antonio A. Olivares 2009-10-07 21:47:43 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing /usr/libexec/polkit-1/polkitd "search" access on /root.

Detailed Description:

SELinux denied access requested by polkitd. It is not expected that this access
is required by polkitd and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:policykit_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:user_home_dir_t:s0
Target Objects                /root [ dir ]
Source                        polkitd
Source Path                   /usr/libexec/polkit-1/polkitd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           polkit-0.95-0.git20090913.2.fc12
Target RPM Packages           filesystem-2.4.30-2.fc12
Policy RPM                    selinux-policy-3.6.32-6.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31-33.fc12.i686 #1
                              SMP Thu Sep 17 15:56:11 EDT 2009 i686 i686
Alert Count                   1
First Seen                    Thu 24 Sep 2009 07:07:42 AM CDT
Last Seen                     Thu 24 Sep 2009 07:07:42 AM CDT
Local ID                      e75fe961-5533-4935-af4c-0612fc2b9bb8
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1253794062.190:29): avc:  denied  { search } for  pid=1703 comm="polkitd" name="root" dev=dm-0 ino=277 scontext=system_u:system_r:policykit_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1253794062.190:29): arch=40000003 syscall=5 success=no exit=-13 a0=961f668 a1=8000 a2=0 a3=961f690 items=0 ppid=1702 pid=1703 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="polkitd" exe="/usr/libexec/polkit-1/polkitd" subj=system_u:system_r:policykit_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-6.fc12,catchall,polkitd,policykit_t,user_home_dir_t,dir,search
audit2allow suggests:

#============= policykit_t ==============
allow policykit_t user_home_dir_t:dir search;

Comment 1 Daniel Walsh 2009-10-07 21:53:43 UTC
Please update libsemanage and selinux-policy to latest packages and make sure /root is labeled admin_home_t 


Should be fixed in Rawhide.


Note You need to log in before you can comment on or make changes to this bug.